%define upstream_name    Dist-Zilla-PluginBundle-DANIELP
%define upstream_version 1.04

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    (you shouldn't) use Dist::Zilla like DANIELP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::ChangelogFromGit)
BuildRequires: perl(Dist::Zilla::Plugin::HasVersionTests)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumVersionTests)
BuildRequires: perl(Dist::Zilla::Plugin::PortabilityTests)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeMarkdownFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::SynopsisTests)
BuildRequires: perl(Dist::Zilla::Plugin::UnusedVarsTests)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(utf8)
BuildArch: noarch

%description
This is the plugin bundle that Daniel uses; it is a bit quirky and probably
not very well suited to use by anyone else. After all, I am a fairly new
CPAN author, and the last thing you want to do is emulate *my* public
mistakes.

This integrates with the way I use git to manage my software, and applies
automatic tests that I consider reasonable. For details, see the source;
until I consider my work suitable for someone else to emulate, I don't see
that making it easy is going to help anyone out.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.40.0-13.mga9
+ Revision: 1803113
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-12.mga8
+ Revision: 1494170
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-11.mga7
+ Revision: 1267370
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-10.mga6
+ Revision: 1025954
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.40.0-9.mga6
+ Revision: 969013
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 1.40.0-8.mga6
+ Revision: 858564
- Exclude deps from _docdir

* Mon Jul 27 2015 sander85 <sander85> 1.40.0-7.mga6
+ Revision: 858231
- Drop BR on Dist::Zilla::Plugin::CompileTests

* Sun Oct 19 2014 umeabot <umeabot> 1.40.0-6.mga5
+ Revision: 789285
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 749186
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 511225
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 366617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 71832
- imported package perl-Dist-Zilla-PluginBundle-DANIELP


* Tue Mar 15 2011 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
